// reconfig_iopll.v

// Generated using ACDS version 21.4 67

`timescale 1 ps / 1 ps
module reconfig_iopll (
		input  wire        mgmt_clk,          //          mgmt_clk.clk
		input  wire        mgmt_reset,        //        mgmt_reset.reset
		output wire        mgmt_waitrequest,  // mgmt_avalon_slave.waitrequest
		input  wire        mgmt_write,        //                  .write
		input  wire        mgmt_read,         //                  .read
		input  wire [7:0]  mgmt_writedata,    //                  .writedata
		output wire [7:0]  mgmt_readdata,     //                  .readdata
		input  wire [9:0]  mgmt_address,      //                  .address
		output wire [29:0] reconfig_to_pll,   //   reconfig_to_pll.reconfig_to_pll
		input  wire [10:0] reconfig_from_pll  // reconfig_from_pll.reconfig_from_pll
	);

	altera_iopll_reconfig_top #(
		.device_family            ("Agilex"),
		.SHIFT_REGISTER_DEPTH     (0),
		.DPRIO_ADDR_WIDTH         (8),
		.DPRIO_DATA_WIDTH         (8),
		.DPRIO_MODE_SEL_WIDTH     (2),
		.ROM_ADDR_WIDTH           (6),
		.ROM_DATA_WIDTH           (16),
		.ROM_NUM_WORDS            (48),
		.TO_PLL_WIDTH             (30),
		.FROM_PLL_WIDTH           (11),
		.DPRIO_GATING_ADDR        (22),
		.MIF_EOF                  (65535),
		.WAIT_FOR_LOCK            ("true"),
		.AVALON_ADDR_TIEOFF_WIDTH (0),
		.reconfig_mif_filename    ("validated_iopll_configurations.mif"),
		.ADVANCED_RECONFIG        ("false"),
		.MIF_ADDRESS_0            (0),
		.MIF_ADDRESS_1            (0),
		.MIF_ADDRESS_2            (0),
		.MIF_ADDRESS_3            (0),
		.MIF_ADDRESS_4            (0),
		.MIF_ADDRESS_5            (0),
		.MIF_ADDRESS_6            (0),
		.MIF_ADDRESS_7            (0),
		.MIF_ADDRESS_8            (0),
		.MIF_ADDRESS_9            (0),
		.MIF_ADDRESS_10           (0),
		.MIF_ADDRESS_11           (0),
		.MIF_ADDRESS_12           (0),
		.MIF_ADDRESS_13           (0),
		.MIF_ADDRESS_14           (0),
		.MIF_ADDRESS_15           (0),
		.MIF_ADDRESS_16           (0),
		.MIF_ADDRESS_17           (0),
		.MIF_ADDRESS_18           (0),
		.MIF_ADDRESS_19           (0),
		.MIF_ADDRESS_20           (0),
		.MIF_ADDRESS_21           (0),
		.MIF_ADDRESS_22           (0),
		.MIF_ADDRESS_23           (0),
		.MIF_ADDRESS_24           (0),
		.MIF_ADDRESS_25           (0),
		.MIF_ADDRESS_26           (0),
		.MIF_ADDRESS_27           (0),
		.MIF_ADDRESS_28           (0),
		.MIF_ADDRESS_29           (0),
		.MIF_ADDRESS_30           (0),
		.MIF_ADDRESS_31           (0)
	) iopll_reconfig_0 (
		.mgmt_clk          (mgmt_clk),          //   input,   width = 1,          mgmt_clk.clk
		.mgmt_reset        (mgmt_reset),        //   input,   width = 1,        mgmt_reset.reset
		.mgmt_waitrequest  (mgmt_waitrequest),  //  output,   width = 1, mgmt_avalon_slave.waitrequest
		.mgmt_write        (mgmt_write),        //   input,   width = 1,                  .write
		.mgmt_read         (mgmt_read),         //   input,   width = 1,                  .read
		.mgmt_writedata    (mgmt_writedata),    //   input,   width = 8,                  .writedata
		.mgmt_readdata     (mgmt_readdata),     //  output,   width = 8,                  .readdata
		.mgmt_address      (mgmt_address),      //   input,  width = 10,                  .address
		.reconfig_to_pll   (reconfig_to_pll),   //  output,  width = 30,   reconfig_to_pll.reconfig_to_pll
		.reconfig_from_pll (reconfig_from_pll)  //   input,  width = 11, reconfig_from_pll.reconfig_from_pll
	);

endmodule
