// hdmi_controller_RX1_EDID_I2C_SDA.v

// Generated using ACDS version 23.3 104

`timescale 1 ps / 1 ps
module hdmi_controller_RX1_EDID_I2C_SDA (
		input  wire        clk,        //                 clk.clk
		input  wire        reset_n,    //               reset.reset_n
		input  wire [1:0]  address,    //                  s1.address
		input  wire        write_n,    //                    .write_n
		input  wire [31:0] writedata,  //                    .writedata
		input  wire        chipselect, //                    .chipselect
		output wire [31:0] readdata,   //                    .readdata
		inout  wire        bidir_port  // external_connection.export
	);

	hdmi_controller_RX1_EDID_I2C_SDA_altera_avalon_pio_1923_bu42jnq rx1_edid_i2c_sda (
		.clk        (clk),        //   input,   width = 1,                 clk.clk
		.reset_n    (reset_n),    //   input,   width = 1,               reset.reset_n
		.address    (address),    //   input,   width = 2,                  s1.address
		.write_n    (write_n),    //   input,   width = 1,                    .write_n
		.writedata  (writedata),  //   input,  width = 32,                    .writedata
		.chipselect (chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (readdata),   //  output,  width = 32,                    .readdata
		.bidir_port (bidir_port)  //   inout,   width = 1, external_connection.export
	);

endmodule
