// hdmi_controller_Terasic_Open_Drain_GPIO_3.v

// Generated using ACDS version 21.4 67

`timescale 1 ps / 1 ps
module hdmi_controller_Terasic_Open_Drain_GPIO_3 (
		input  wire [1:0]  address,    //      avalon_slave_0.address
		input  wire        chipselect, //                    .chipselect
		input  wire        write_n,    //                    .write_n
		input  wire [31:0] writedata,  //                    .writedata
		output wire [31:0] readdata,   //                    .readdata
		input  wire        clk,        //               clock.clk
		input  wire        reset_n,    //               reset.reset_n
		inout  wire        bidir_port  // external_connection.export
	);

	Terasic_Open_Drain_GPIO terasic_open_drain_gpio_3 (
		.address    (address),    //   input,   width = 2,      avalon_slave_0.address
		.chipselect (chipselect), //   input,   width = 1,                    .chipselect
		.write_n    (write_n),    //   input,   width = 1,                    .write_n
		.writedata  (writedata),  //   input,  width = 32,                    .writedata
		.readdata   (readdata),   //  output,  width = 32,                    .readdata
		.clk        (clk),        //   input,   width = 1,               clock.clk
		.reset_n    (reset_n),    //   input,   width = 1,               reset.reset_n
		.bidir_port (bidir_port)  //   inout,   width = 1, external_connection.export
	);

endmodule
